# ValidateLicense

### Description

Validate the license stored in the floating license database (XML or DB) and extract the total number of floating seats and consumed seats. This function should be called after the floating license DB has been initialized and the license has been activated.

```csharp
bool ValidateLicense(out bool reRegisterLicense, out bool reRegisterDb,
                     out QlmActivationStatus activationStatus, out string message)
```

### Parameters

| Parameter         |                                                    Type                                                    | Description                                                          |
| ----------------- | :--------------------------------------------------------------------------------------------------------: | -------------------------------------------------------------------- |
| reRegisterLicense |                                                    bool                                                    | return flag indicating the license must be reactivated               |
| reRegisterDb      |                                                    bool                                                    | return flag indicating the floating license DB must be re-registered |
| activationStatus  | [QlmActivationStatus](/docs/api-reference/.net-api/iqlmfloatinglicensehelper/enums/qlmactivationstatus.md) | return flag indicating the current activation status                 |
| message           |                                                   string                                                   | error message if there was an error during the operation             |

### Return

| Type | Description                                             |
| ---- | ------------------------------------------------------- |
| bool | true if the operation was successful; otherwise, false. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/methods/validatelicense.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
